ome-xml 5.2.3

Public Member Functions | Public Attributes | List of all members
ome::xml::model::OME::Impl Class Reference

Private implementation details of OME model object. More...

Collaboration diagram for ome::xml::model::OME::Impl:
[legend]

## Public Member Functions
| Impl ()
| Default constructor.
| Impl (const Impl &copy)
| Copy constructor.

## Public Attributes
ome::compat::shared_ptr< std::string > | uuid
| UUID property.
ome::compat::shared_ptr< std::string > | creator
| Creator property.
ome::compat::shared_ptr< ome::xml::model::Rights > | rights
| Rights property.
std::vector< ome::compat::shared_ptr< ome::xml::model::Project > > | projects
| Project property (occurs more than once)
std::vector< ome::compat::shared_ptr< ome::xml::model::Dataset > > | datasets
| Dataset property (occurs more than once)
std::vector< ome::compat::shared_ptr< ome::xml::model::Folder > > | folders
| Folder property (occurs more than once)
std::vector< ome::compat::shared_ptr< ome::xml::model::Experiment > > | experiments
| Experiment property (occurs more than once)
std::vector< ome::compat::shared_ptr< ome::xml::model::Plate > > | plates
| Plate property (occurs more than once)
std::vector< ome::compat::shared_ptr< ome::xml::model::Screen > > | screens
| Screen property (occurs more than once)
std::vector< ome::compat::shared_ptr< ome::xml::model::Experimenter > > | experimenters
| Experimenter property (occurs more than once)
std::vector< ome::compat::shared_ptr< ome::xml::model::ExperimenterGroup > > | experimenterGroups
| ExperimenterGroup property (occurs more than once)
std::vector< ome::compat::shared_ptr< ome::xml::model::Instrument > > | instruments
| Instrument property (occurs more than once)
std::vector< ome::compat::shared_ptr< ome::xml::model::Image > > | images
| Image property (occurs more than once)
ome::compat::shared_ptr< ome::xml::model::StructuredAnnotations > | structuredAnnotations
| StructuredAnnotations property.
std::vector< ome::compat::shared_ptr< ome::xml::model::ROI > > | roIs
| ROI property (occurs more than once)
ome::compat::shared_ptr< ome::xml::model::BinaryOnly > | binaryOnly
| BinaryOnly property.

## Detailed Description

Private implementation details of OME model object.

The documentation for this class was generated from the following file:

- ome/xml/model/OME.cpp